%define modname xdebug
%define soname %{modname}.so
%define inifile A29_%{modname}.ini
#define prel alpha2
%define incdir %(php-config --include-dir)
%define extdir %(php-config --extension-dir)

Summary:	Provides functions for function traces and profiling for PHP5
Name:		php-%{modname}
Epoch:		3
Version:	3.3.1
Release:	%mkrel %{?prel:1.%prel.}1
Group:		Development/PHP
License:	BSD-like
URL:		https://www.xdebug.org/
Source0:	https://www.xdebug.org/files/%{modname}-%{version}%{?prel}.tgz
Source1:	%{modname}.ini
Requires:	gdb
BuildRequires:	php-devel >= 3:8.3.0
Requires:	php >= 3:8.3.0
Requires:	php-common = 3:8.3


%description
The Xdebug extension helps you debugging your script by providing a lot of
valuable debug information.  The debug information that Xdebug can provide
includes the following:

* stack and function traces in error messages with:
  o full parameter display for user defined functions
  o function name, file name and line indications
  o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides:

* profiling information for PHP scripts
* script execution analysis
* capabilities to debug your scripts interactively with a debug client

%prep

%setup -q -n %{modname}-%{version}%{?prel}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}
perl -pi -e "s|EXT_DIR|%{extdir}|g" %{inifile}

# lib64 fix
#perl -pi -e "s|/usr/lib|%{_libdir}|g" %{inifile}

%build
%serverbuild

phpize
%configure \
    --enable-%{modname}=shared,%{_prefix}

make
mv modules/*.so .

# make the debugclient
#pushd debugclient
#sh ./buildconf
#    %%configure
#	--with-libedit
#    %%make_build

#  the autostuff is borked...
#touch config.h
#gcc $CFLAGS %%{ldflags} -o debugclient main.c usefulstuff.c -lnsl

#popd

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{extdir}/
#install -m0755 debugclient/debugclient %%{buildroot}%%{_bindir}/

%files
%doc CREDITS LICENSE README.rst
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
#%%attr(0755,root,root) %%{_bindir}/debugclient
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Sat Dec 16 2023 mokraemer <mokraemer> 3:3.3.1-1.mga10
+ Revision: 2018311
- new version 3.3.1

* Sat Sep 09 2023 mokraemer <mokraemer> 3:3.3.0-1.alpha2.1.mga10
+ Revision: 1985532
- new version 3.3.0 Alpha2: support php 8.3
- rebuild for php 8.3
- new version 3.2.2
- new version 3.2.1

* Wed Feb 01 2023 daviddavid <daviddavid> 3:3.2.0-1.mga9
+ Revision: 1937420
- new version 3.2.0 final

* Thu Nov 10 2022 mokraemer <mokraemer> 3:3.2.0-1.RC2.1.mga9
+ Revision: 1905103
- new version 3.2.0RC2

* Tue Nov 08 2022 mokraemer <mokraemer> 3:3.2.0-1.RC1.1.mga9
+ Revision: 1904735
- new version RC1
- new version RC1

* Sat Nov 05 2022 mokraemer <mokraemer> 3:3.2.0-0.alpha2.5.mga9
+ Revision: 1903540
- removed 64 bit fix

* Fri Nov 04 2022 mokraemer <mokraemer> 3:3.2.0-0.alpha2.4.mga9
+ Revision: 1902494
- fix ini for extension dir

* Fri Nov 04 2022 mokraemer <mokraemer> 3:3.2.0-0.alpha2.3.mga9
+ Revision: 1902340
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 3:3.2.0-0.alpha2.2.mga9
+ Revision: 1879794
- update extension for new directories

* Mon Jul 25 2022 mokraemer <mokraemer> 3:3.2.0-0.alpha2.1.mga9
+ Revision: 1871625
- 3.2.0alpha2
- fix dependancy error
- new version 3.2.0alpha1
- rebuild for php 8.2

* Tue Jun 07 2022 mokraemer <mokraemer> 3:3.1.5-1.mga9
+ Revision: 1863199
- new version 3.1.5§

* Tue Apr 05 2022 mokraemer <mokraemer> 3:3.1.4-1.mga9
+ Revision: 1844667
- missing src
- new version 3.1.4

* Thu Mar 17 2022 umeabot <umeabot> 3:3.1.3-2.mga9
+ Revision: 1796848
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 mokraemer <mokraemer> 3:3.1.3-1.mga9
+ Revision: 1770958
- new version 3.1.3

* Wed Dec 01 2021 mokraemer <mokraemer> 3:3.1.2-1.mga9
+ Revision: 1760495
- new version 3.1.2
- new version 3.1.2

* Fri Nov 26 2021 mokraemer <mokraemer> 3:3.1.1-2.mga9
+ Revision: 1759387
- rebuild for php 8.1

* Sun Oct 24 2021 mokraemer <mokraemer> 3:3.1.1-1.mga9
+ Revision: 1752770
- new version 3.1.1

* Mon Oct 04 2021 mokraemer <mokraemer> 3:3.1.0-1.mga9
+ Revision: 1749312
- new version 3.1.0

* Thu Apr 08 2021 mokraemer <mokraemer> 3:3.0.4-1.mga9
+ Revision: 1714103
- new version 3.0.4

* Mon Feb 22 2021 mokraemer <mokraemer> 3:3.0.3-1.mga8
+ Revision: 1675661
- new version 3.0.3

* Sat Dec 05 2020 mokraemer <mokraemer> 3:3.0.1-1.mga8
+ Revision: 1652881
- new version 3.0.1

* Mon Nov 30 2020 mokraemer <mokraemer> 3:3.0.0-2.mga8
+ Revision: 1650453
- remove debugclient in make
- new version 3.0.0

* Tue Sep 29 2020 mokraemer <mokraemer> 3:2.9.8-1.mga8
+ Revision: 1631118
- new version 2.9.8

* Thu Jun 18 2020 mokraemer <mokraemer> 3:2.9.6-2.mga8
+ Revision: 1596234
- fix dep to current version

* Sun May 31 2020 mokraemer <mokraemer> 3:2.9.6-1.mga8
+ Revision: 1589170
- new version 2.9.6

* Mon May 04 2020 mokraemer <mokraemer> 3:2.9.5-1.mga8
+ Revision: 1580047
- new version 2.9.5

* Mon Mar 23 2020 mokraemer <mokraemer> 3:2.9.4-1.mga8
+ Revision: 1559139
- new version 2.9.4

* Mon Mar 16 2020 mokraemer <mokraemer> 3:2.9.3-1.mga8
+ Revision: 1556637
- new version 2.9.3

* Thu Feb 20 2020 umeabot <umeabot> 3:2.9.2-2.mga8
+ Revision: 1546115
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 mokraemer <mokraemer> 3:2.9.2-1.mga8
+ Revision: 1486024
- new version 2.9.2

* Thu Jan 16 2020 mokraemer <mokraemer> 3:2.9.1-1.mga8
+ Revision: 1481157
- new version 2.9.1
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 09 2019 mokraemer <mokraemer> 3:2.9.0-1.mga8
+ Revision: 1465581
- new version 2.9.0

* Mon Dec 02 2019 mokraemer <mokraemer> 3:2.8.1-1.mga8
+ Revision: 1464032
- new version 2.8.1

* Fri Nov 29 2019 mokraemer <mokraemer> 3:2.8.0-2.mga8
+ Revision: 1463548
+ rebuild (emptylog)

* Thu Oct 31 2019 mokraemer <mokraemer> 3:2.8.0-1.mga8
+ Revision: 1457158
- new version 2.8.0

* Mon Oct 21 2019 mokraemer <mokraemer> 3:2.7.2-2.mga8
+ Revision: 1454933
- removed dirname

* Sun Jun 30 2019 mokraemer <mokraemer> 3:2.7.2-1.mga8
+ Revision: 1416306
- new version 2.7.2

* Sat Apr 06 2019 mokraemer <mokraemer> 3:2.7.1-1.mga7
+ Revision: 1386270
- update to 2.7.1

* Wed Mar 06 2019 mokraemer <mokraemer> 3:2.7.0-2.mga7
+ Revision: 1372097
- version 2.7.0 final

* Sun Feb 17 2019 mokraemer <mokraemer> 3:2.7.0-1.RC2.1.mga7
+ Revision: 1367908
- updated 2.7.0 RC2

* Wed Dec 12 2018 mokraemer <mokraemer> 3:2.7.0-0.beta1.mga7
+ Revision: 1340497
- new version 2.7.0beta1

* Fri Oct 26 2018 mokraemer <mokraemer> 3:2.6.1-3.mga7
+ Revision: 1325717
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 3:2.6.1-2.mga7
+ Revision: 1300252
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 mokraemer <mokraemer> 3:2.6.1-1.mga7
+ Revision: 1246926
- new version 2.6.1

* Tue Jan 30 2018 mokraemer <mokraemer> 3:2.6.0-2.mga7
+ Revision: 1198156
- new version 2.6.0

* Thu Jan 25 2018 mokraemer <mokraemer> 3:2.6.0-1.RC2.mga7
+ Revision: 1196847
- new xdebug release

* Fri Dec 29 2017 mokraemer <mokraemer> 3:2.6.0-0.beta1.mga7
+ Revision: 1187210
- new beta versioN

* Sun Dec 03 2017 mokraemer <mokraemer> 3:2.6.0-0.alpha.mga7
+ Revision: 1181077
- new versiom, rebuild for php 7.2

* Mon Nov 13 2017 zezinho <zezinho> 3:2.5.5-1.mga7
+ Revision: 1177224
- new version

* Tue Mar 22 2016 oden <oden> 3:2.4.0-1.mga6
+ Revision: 993996
- bump epoch
- drop the patch, applied upstream
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 16 2015 pterjan <pterjan> 2:2.4.0beta1-4.mga6
+ Revision: 903707
- Try fixing 32 bit build with php7
+ spuhler <spuhler>
- let's try with single cpu build
- bumped rel to make it build
- update to vers. 2.4.0beta1

* Thu Jun 25 2015 spuhler <spuhler> 2:2.3.3-1.mga6
+ Revision: 843004
- upgrade to vers. 2.3.3

* Wed Oct 15 2014 umeabot <umeabot> 2:2.2.5-3.mga5
+ Revision: 738997
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:2.2.5-2.mga5
+ Revision: 687561
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 spuhler <spuhler> 2:2.2.5-1.mga5
+ Revision: 671186
- upgrade to ver. 2.2.5

* Fri Apr 18 2014 oden <oden> 2:2.2.4-2.mga5
+ Revision: 616598
- rebuilt for php-5.6.0beta1

* Thu Mar 13 2014 spuhler <spuhler> 2:2.2.4-1.mga5
+ Revision: 603178
- re-adding Epoch
- upgrade to ver. 2.2.4

* Fri Jan 24 2014 pterjan <pterjan> 2:2.2.3-5.mga4
+ Revision: 567643
- Rebuild for new PHP

* Wed Dec 18 2013 oden <oden> 2:2.2.3-4.mga4
+ Revision: 558473
- rebuilt for php-5.5.7

* Sat Nov 23 2013 oden <oden> 2:2.2.3-3.mga4
+ Revision: 552483
- rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2:2.2.3-2.mga4
+ Revision: 527902
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 2:2.2.3-1.mga4
+ Revision: 442862
- drop one applied patch
- 2.2.3

* Wed Jan 30 2013 oden <oden> 2:2.2.1-3.mga3
+ Revision: 393367
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 2:2.2.1-2.mga3
+ Revision: 377631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 spuhler <spuhler> 2:2.2.1-1.mga3
+ Revision: 274831
- fix build
- upgrade to 2.2.1

* Thu May 03 2012 luigiwalser <luigiwalser> 2:2.1.4-1.mga2
+ Revision: 234679
- 2.1.4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 2:2.1.3-2.mga2
+ Revision: 223953
- httpd restart is handled by filetriggers now

* Sat Feb 11 2012 spuhler <spuhler> 2:2.1.3-1.mga2
+ Revision: 207453
- upgrade to 2.1.3

* Sat Jan 07 2012 spuhler <spuhler> 2:2.1.2-1.mga2
+ Revision: 193003
- upgrade version to 2.1.2

* Sun Jan 16 2011 spuhler <spuhler> 2:2.1.0-5.mga1
+ Revision: 20298
- removed the if mdkversion lines
- imported package php-xdebug

